## 1.93. storelisten( integer, integer, integer )

Function Properties
Language: PLPGSQL
Return Type: bigint

FUNCTION storeListen (li_origin, li_provider, li_receiver) generate STORE_LISTEN event, indicating that receiver node li_receiver listens to node li_provider in order to get messages coming from node li_origin.

    declare
    	p_origin		alias for $1;
    	p_provider	alias for $2;
    	p_receiver	alias for $3;
    begin
    	return -1;

    	perform storeListen_int (p_origin, p_provider, p_receiver);
    	return  createEvent ('_schemadoc', 'STORE_LISTEN',
    			p_origin, p_provider, p_receiver);
    end;